<manifest version="1.0" type="device">
    <hal format="hidl" override="true">
        <name>vendor.huawei.hardware.radio.deprecated</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IOemHook</name>
            <instance>slot1</instance>
        </interface>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.huawei.hardware.hisiradio</name>
        <transport>hwbinder</transport>
        <version>1.3</version>
        <interface>
            <name>IHisiRadio</name>
            <instance>slot1</instance>
        </interface>
    </hal>
    <hal format="hidl" override="true">
        <name>android.hardware.radio</name>
        <transport>hwbinder</transport>
        <version>1.4</version>
        <interface>
            <name>IRadio</name>
            <instance>slot1</instance>
        </interface>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.huawei.hardware.radio</name>
        <transport>hwbinder</transport>
        <version>2.0</version>
        <interface>
            <name>IRadio</name>
            <instance>slot1</instance>
        </interface>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.huawei.hardware.radio.chr</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IRadioChr</name>
            <instance>slot1</instance>
        </interface>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.huawei.hardware.radio.ims</name>
        <transport>hwbinder</transport>
        <version>1.2</version>
        <interface>
            <name>IRadioIms</name>
            <instance>rildi</instance>
        </interface>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.huawei.hardware.dolby.dms</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IDms</name>
            <instance>default</instance>
        </interface>
    </hal>
</manifest>
